package com.hh.holyolm.model;

import java.util.ArrayList;
import java.util.List;

public class TaskModel {
    private String taskNum;
    private String planeModel;
    private String cardName;
    private String planeNum;
    private String cardNum;
    private String status;
    private String intime;
    private String xmlPath;
    private String packagePath;

    List<CheckItemModel> checkItemList;
    List<CheckItemModel2> checkItem2List;

    public TaskModel(){
        checkItemList=new ArrayList<CheckItemModel>();
        checkItem2List=new ArrayList<CheckItemModel2>();
    }

    public String getTaskNum() {
        return taskNum;
    }

    public void setTaskNum(String taskNum) {
        this.taskNum = taskNum;
    }

    public String getCardName() {
        return cardName;
    }

    public void setCardName(String cardName) {
        this.cardName = cardName;
    }

    public String getPlaneModel() {
        return planeModel;
    }

    public void setPlaneModel(String planeModel) {
        this.planeModel = planeModel;
    }

    public String getPlaneNum() {
        return planeNum;
    }

    public void setPlaneNum(String planeNum) {
        this.planeNum = planeNum;
    }

    public String getCardNum() {
        return cardNum;
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIntime() {
        return intime;
    }

    public void setIntime(String intime) {
        this.intime = intime;
    }

    public String getXmlPath() {
        return xmlPath;
    }

    public void setXmlPath(String xmlPath) {
        this.xmlPath = xmlPath;
    }

    public String getPackagePath() {
        return packagePath;
    }

    public void setPackagePath(String packagePath) {
        this.packagePath = packagePath;
    }

    public List<CheckItemModel> getCheckItemList() {
        return checkItemList;
    }

    public void setCheckItemList(List<CheckItemModel> checkItemList) {
        this.checkItemList = checkItemList;
    }

    public List<CheckItemModel2> getCheckItem2List() {
        return checkItem2List;
    }

    public void setCheckItem2List(List<CheckItemModel2> checkItem2List) {
        this.checkItem2List = checkItem2List;
    }
}
